import UI5Element from "@ui5/webcomponents-base/dist/UI5Element.js";
import type I18nBundle from "@ui5/webcomponents-base/dist/i18nBundle.js";
/**
 * @class
 *
 * <h3 class="comment-api-title">Overview</h3>
 *
 * The <code></code> component is a demo component that displays some text.
 *
 * @constructor
 * @extends UI5Element
 * @public
 */
declare class BsGenericTile extends UI5Element {
    static i18nBundle: I18nBundle;
    static onDefine(): Promise<void>;
    /**
     * Defines the headline of the component
     * @default ""
     * @public
     */
    title: string;
    /**
     * Defines the subtitle of the component
     * @default ""
     * @public
     */
    subtitle: string;
    /**
     * Defines the footer text of the tile
     * @default ""
     * @public
     */
    footer: string;
    /**
     * Defines the icon to be discplayed
     * e.g. <ui5-icon type="Decorative" class="imageContent" name="employee"></ui5-icon>
     * @public
     */
    displayicon: Array<HTMLElement>;
    get tabIndexValue(): string | 0;
    _onkeydown(e: KeyboardEvent): void;
}
export default BsGenericTile;
